Bug 400131 - [PATCH] intlclock: fill in more information automatically
[PATCH] intlclock: fill in more information automatically
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-26 16:12 EST by Bill Nottingham
Modified: 2014-03-16 23:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-10 10:48:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fill in more info automatically from user input (5.49 KB, patch)
2007-11-26 16:12 EST, Bill Nottingham
no flags Details | Diff

  None (edit)
Description Bill Nottingham 2007-11-26 16:12:33 EST
Right now, if you just fill in a name and lat/lon for a location, the location
is silently discarded. The attached:

- fills in timezone from lat/lon, if possible
- fills in weather info from lat/lon, if possible

The find_timezone function is moved someplace slightly more appropriate, in case
other classes need to call it.

Patch is against 2.20.1-7.fc9.
Comment 1 Bill Nottingham 2007-11-26 16:12:33 EST
Created attachment 269291 [details]
Fill in more info automatically from user input
Comment 2 Bill Nottingham 2007-11-26 16:17:18 EST
That being said...

If there's any widget we have right now that *screams* for online desktop
integration, this is it. Ideally, the location add/edit dialog would be
something like:

...
Location name: [                     ] [ Find ]

      [ Details ] [ Cancel ] [ OK ]
...

If you just enter a location name (such as 'Boston', or 'London, UK', or
whatever), it queries your handy map server such as google or yahoo, pulls the
lat/lon, and then automatically fills in the timezone and weather info. The
'Details' link allows you to manually edit the automatically-set information.

Bonus points if you get firefox urlbar-style autocompletion in the name entry,
such that typing in 'Columbus' gives you a dropdown that lists 'Columbus,
Georgia, United States; Columbus, Ohio, United States', etc.
Comment 3 Bug Zapper 2008-05-14 00:00:29 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-06-09 19:14:05 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bill Nottingham 2009-06-10 10:48:42 EDT
Meh, this should probably be upstream.

Note You need to log in before you can comment on or make changes to this bug.